import { TransactionLineBaseComponent } from '../core/base/transaction-line-base.component';
export declare class TransactionLineDirectSellButtonComponent extends TransactionLineBaseComponent {
    inputLabel: boolean;
    showClass: boolean;
    supplierDescription: string;
    showDialogDirectSell: boolean;
    handleShowDialog(event: MouseEvent): Promise<void>;
    handleCloseDialog(event: MouseEvent): void;
    protected transactionLineSet(): void;
    protected visibilitySet(): void;
    private _getDirectSellDescription;
}
